﻿@using System.Runtime.Versioning
@using RubberBriquettesTrackerReporter.Resources
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            @ViewBag.Title
        </h1>
    </section>
    <!-- Main content -->
    <section class="content">
        <!-- Main row -->
        <div id="reportArea" class="row">
            <!-- Left col -->
            <section class="col-lg-12 connectedSortable">
                <!-- TO DO List -->
                <div class="box box-primary">
                    <div class="box-header">
                    </div>
                    <!-- /.box-header -->
                    <div class="box-body">
                        <div class="row">
                            <div class="col-lg-12">
                                <table border="0">
                                    <td>
                                        <vuejs-datepicker v-model="filter.Start" placeholder="@View.DateFilterFrom" format="dd-MM-yyyy" bootstrap-styling="true" class="datepicker"></vuejs-datepicker>
                                    </td>
                                    <td>
                                        <vuejs-datepicker v-model="filter.End" placeholder="@View.DateFilterTo" format="dd-MM-yyyy" bootstrap-styling="true" class="datepicker"></vuejs-datepicker>
                                    </td>
                                    <td>
                                        <button v-on:click="get()" id="getReportBtn" type="button" class="btn btn-default inline">@View.CreateReport</button>
                                    </td>
                                </table>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-12">
                                <table class="table table-striped" id="reportTable">
                                    <thead>
                                    <tr>
                                        <th scope="col">@View.NumberColumnTableReportHeader</th>
                                        <th scope="col">@View.ZoneNameColumnTableReportHeader</th>
                                        <th scope="col">@View.BriquettesNumberColumnTableReportHeader</th>
                                        <th></th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr v-for="(item, index) in items">
                                        <td>{{index+1}}</td>
                                        <td>{{item.zoneName}}</td>
                                        <td>{{item.zoneBriquettesNumber}}</td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- /.box -->
            </section>
        </div>
        <!-- /.row (main row) -->
    </section>
    <!-- /.content -->
</div>
<!-- /.content-wrapper -->
@section scripts
{
    <script src="~/js/app/reportPageApp.js"></script>
}
@section documentReady
{
    reportPageApp.init();
}
